## blockout2 2.4+dfsg1

=== BlockOut/Makefile ===
#---------------------------------------------------------------------
# Makefile for BlockOut
#
# Need SDL-1.2.12
#      SDL_mixer-1.2.8
#
# Note: Sorry to not have libtoolized this project but i don't have
#       enough time to do that.

#---------------------------------------------------------------------
# All source files needed for the application

SRC = 	BlockOut.cpp         PageChooseSetup.cpp       PageStartGame.cpp \
	EditControl.cpp      PageControls.cpp          Pit.cpp \
	Game.cpp             PageCredits.cpp           PolyCube.cpp \
	Http.cpp             PageHallOfFame.cpp        SetupManager.cpp \
	InitPolyCube.cpp     PageHallOfFameOnLine.cpp  SoundManager.cpp \
	Menu.cpp             PageHttp.cpp              Sprites.cpp \
	MenuGraphics.cpp     PageMainMenu.cpp          Utils.cpp \
	MenuGrid.cpp         PageOptions.cpp           PageChangeSetup.cpp  \
	PageScoreDetails.cpp PageGSOptions.cpp         BotPlayer.cpp \
	GLApp/GLApp.cpp  GLApp/GLFont.cpp  GLApp/GLMatrix.cpp  GLApp/GLSprite.cpp

OBJ=    BlockOut.o         PageChooseSetup.o       PageStartGame.o \
	EditControl.o      PageControls.o          Pit.o \
	Game.o             PageCredits.o           PolyCube.o \
	Http.o             PageHallOfFame.o        SetupManager.o \
	InitPolyCube.o     PageHallOfFameOnLine.o  SoundManager.o \
	Menu.o             PageHttp.o              Sprites.o \
	MenuGraphics.o     PageMainMenu.o          Utils.o \
	MenuGrid.o         PageOptions.o           PageChangeSetup.o  \
	PageScoreDetails.o PageGSOptions.o         BotPlayer.o \
	GLApp/GLApp.o  GLApp/GLFont.o  GLApp/GLMatrix.o  GLApp/GLSprite.o

#---------------------------------------------------------------------

SDL_ROOT	= /users/pons/test/opengl/SDL
IMGLIB_ROOT	= ../ImageLib

CXX		= g++

CXXFLAGS =     -g -D_DEBUG -Dlinux -c \
               -I$(SDL_ROOT)/include/SDL -I$(IMGLIB_ROOT) -I.

LIBS	 =     -L$(SDL_ROOT)/lib -L$(IMGLIB_ROOT)

LFLAGS   =      $(LIBS) -limagelib -lGL -lGLU -lSDL_mixer -lSDL -lpthread -lm -ldl 

#--------------------------------------------------------------------

all: blockout

blockout: $(OBJ)
	@echo Linking...
	@rm -f blockout
	$(CXX) $(OBJ) $(LFLAGS) -o blockout
	@echo Linking OK...

clean:
	@echo Cleaning...
	@rm -f *.o
	@rm -f GLApp/*.o

=== ImageLib/Makefile ===
#---------------------------------------------------------------------
# Makefile for ImageLib
#
# Note: Sorry to not have libtoolized this project but i don't have
#       enough time to do that.

#
#---------------------------------------------------------------------
# All source files needed for the library
#

SRC = 	gif/gif.c CImage.cpp png/zlib/adler32.c png/zlib/compress.c \
	png/zlib/crc32.c png/zlib/deflate.c png/zlib/gzio.c png/zlib/infback.c \
	png/zlib/inffast.c png/zlib/inflate.c png/zlib/inftrees.c png/zlib/trees.c \
	png/zlib/uncompr.c png/zlib/zutil.c png/png/png.c png/png/pngerror.c \
	png/png/pnggccrd.c png/png/pngget.c png/png/pngmem.c png/png/pngpread.c \
	png/png/pngread.c png/png/pngrio.c png/png/pngrtran.c png/png/pngrutil.c \
	png/png/pngset.c png/png/pngtrans.c png/png/pngvcrd.c png/png/pngwio.c \
	png/png/pngwrite.c png/png/pngwtran.c png/png/pngwutil.c png/hpng.c \
	jpg/H2v2.cpp jpg/idct.cpp jpg/jpegdecoder.cpp jpg/jpegdecodermain.cpp


OBJ=    gif/gif.o CImage.o png/zlib/adler32.o png/zlib/compress.o \
	png/zlib/crc32.o png/zlib/deflate.o png/zlib/gzio.o png/zlib/infback.o \
	png/zlib/inffast.o png/zlib/inflate.o png/zlib/inftrees.o png/zlib/trees.o \
	png/zlib/uncompr.o png/zlib/zutil.o png/png/png.o png/png/pngerror.o \
	png/png/pnggccrd.o png/png/pngget.o png/png/pngmem.o png/png/pngpread.o \
	png/png/pngread.o png/png/pngrio.o png/png/pngrtran.o png/png/pngrutil.o \
	png/png/pngset.o png/png/pngtrans.o png/png/pngvcrd.o png/png/pngwio.o \
	png/png/pngwrite.o png/png/pngwtran.o png/png/pngwutil.o png/hpng.o \
	jpg/H2v2.o jpg/idct.o jpg/jpegdecoder.o jpg/jpegdecodermain.o

#---------------------------------------------------------------------

CXX	= g++
CC	= gcc

CXXFLAGS    = -O2 -Dlinux -c -I.
CFLAGS      = -O2 -Dlinux -c -I.


#--------------------------------------------------------------------

all: libimagelib.a

libimagelib.a: $(OBJ)
	@echo Making library...
	@rm -f libimagelib.a
	ar -rv libimagelib.a $(OBJ)

clean:
	@echo Cleaning...
	@rm -f *.o
	@rm -f gif/*.o
	@rm -f jpg/*.o
	@rm -f png/*.o
	@rm -f png/png/*.o
	@rm -f png/zlib/*.o

=== debian/changelog ===
blockout2 (2.4+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Drop deprecated menu file.
  * wrap-and-sort -sab.
  * Declare compliance with Debian Policy 4.0.0.
  * Use canonical Vcs-URI.
  * Switch maintainer and uploader. According to the Games Team policy the
    maintainer must be the Debian Games Team. Debian Policy also demands a human
    uploader.
  * Switch to compat level 10 (was 5).
  * Switch from cdbs to dh sequencer.
  * Add keywords and a comment in German.
  * Move Priority: extra to the top of debian/control.
  * Convert icon.xpm to blockout2.png and scale the image to 64x64 pixel.
  * Install blockout2.png into the hicolor icon directory.
  * Update debian/Makefile and make the build reproducible. Thanks to Reiner
    Herrmann for the report and patch. (Closes: #826416)
  * Add format-not-a-string-literal.patch and fix FTBFS due to -format-security
    flag.
  * Override dh_clean and ensure that blockout2 can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Sat, 15 Jul 2017 17:50:21 +0200

blockout2 (2.4+dfsg1-7) unstable; urgency=low

  * Fix FTBFS with libpng, closes: #662275, #649550.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 02 Jul 2012 22:26:30 +0400

blockout2 (2.4+dfsg1-6) unstable; urgency=low

  * Fix FTBFS with libGL, closes: #618044.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 13 Mar 2011 20:30:34 +0300

blockout2 (2.4+dfsg1-5) unstable; urgency=low

  * Added .desktop file, closes: #608068, thanks for chrysn <chrysn@fsfe.org>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 27 Dec 2010 09:27:07 +0300

blockout2 (2.4+dfsg1-4) unstable; urgency=low

  * Added patch to build under Debian/kfreebsd.
  * Applied patch from ubuntu: Fix FTBFS caused by "error: invalid
    conversion from 'const char*' to 'char*'".
  * Added DGT to uploaders.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 20 Oct 2009 16:06:29 +0400

blockout2 (2.4+dfsg1-3) unstable; urgency=low

  * Added debian-menu, closes: #525754.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 27 Apr 2009 09:03:02 +0400

blockout2 (2.4+dfsg1-2) unstable; urgency=low

  * Fixed all gcc warnings.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 11 Mar 2009 11:46:16 +0300

blockout2 (2.4+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #460537).
  * All libraries with unknown licenses have been dropped, orig.tgz has been
    repackaged. So all the files left have GPL2+ license.
  * Makefile has been rewritten from the start
    (We do not use the original Makefiles).
  * Git-repo has been created in git.debian.org.
  * Sources have been patched for using debian directories structure.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 10 Mar 2009 19:18:26 +0300

=== debian/control ===
Source: blockout2
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry E. Oboukhov <unera@debian.org>
Build-Depends:
 debhelper(>= 10),
 libpng-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 4.0.0
Homepage: http://www.blockout.net/blockout2/
VCS-Browser: https://anonscm.debian.org/git/collab-maint/blockout2.git
VCS-Git: https://anonscm.debian.org/git/collab-maint/blockout2.git

Package: blockout2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Tetris like game (3D-tetris)
 BlockOut II is a free adaptation of the original BlockOut
 DOS game edited by California Dreams in 1989. BlockOut II
 has the same features than the original game with few graphic
 improvements. The score calculation is also nearly similar to
 the original game. BlockOut II has been designed by an addicted
 player for addicted players. BlockOut II is an open source
 project available for both Windows and Linux.

=== debian/rules ===
#!/usr/bin/make -f
# vim: noet sw=4 ts=4 ai

%:
	dh $@

override_dh_auto_build:
	if test `dpkg-architecture -qDEB_BUILD_ARCH` = amd64; then \
		$(MAKE) -f debian/Makefile ADDCFLAGS=-DLOCALTIME64; \
	else \
		$(MAKE) -f debian/Makefile; \
	fi

override_dh_clean:
	dh_clean
	find . -name "*.o" -delete
	find . -name "*.d" -delete
	$(RM) obj/blockout2 obj/obj-dir-stamp

## blockout2 2.5%2Bdfsg1

=== BlockOut/Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #---------------------------------------------------------------------
 # Makefile for BlockOut
 #
-# Need SDL-1.2.12
-#      SDL_mixer-1.2.8
+# ubuntu 12.04 LTS needed packages.
 #
-# Note: Sorry to not have libtoolized this project but i don't have
-#       enough time to do that.
-
+#  libgl1-mesa-swx11-dev
+#  libglu1-mesa-dev
+#  libxext-dev
+#  libsdl1.2-dev
+#  libsdl-mixer1.2-dev
+#
 #---------------------------------------------------------------------
 # All source files needed for the application
+#
 
 SRC = 	BlockOut.cpp         PageChooseSetup.cpp       PageStartGame.cpp \
 	EditControl.cpp      PageControls.cpp          Pit.cpp \
@@ -19,6 +22,7 @@
 	MenuGraphics.cpp     PageMainMenu.cpp          Utils.cpp \
 	MenuGrid.cpp         PageOptions.cpp           PageChangeSetup.cpp  \
 	PageScoreDetails.cpp PageGSOptions.cpp         BotPlayer.cpp \
+	BotPlayerAI.cpp      BotMatrix.cpp \
 	GLApp/GLApp.cpp  GLApp/GLFont.cpp  GLApp/GLMatrix.cpp  GLApp/GLSprite.cpp
 
 OBJ=    BlockOut.o         PageChooseSetup.o       PageStartGame.o \
@@ -30,21 +34,43 @@
 	MenuGraphics.o     PageMainMenu.o          Utils.o \
 	MenuGrid.o         PageOptions.o           PageChangeSetup.o  \
 	PageScoreDetails.o PageGSOptions.o         BotPlayer.o \
+	BotPlayerAI.o      BotMatrix.o \
 	GLApp/GLApp.o  GLApp/GLFont.o  GLApp/GLMatrix.o  GLApp/GLSprite.o
 
 #---------------------------------------------------------------------
 
-SDL_ROOT	= /users/pons/test/opengl/SDL
-IMGLIB_ROOT	= ../ImageLib
+ADD_LIBS = ../ImageLib/src/libimagelib.a
+
+ifdef _linux64
+SDL_LIBS = /usr/lib/x86_64-linux-gnu
+else
+SDL_LIBS = /usr/lib/i386-linux-gnu
+endif
 
 CXX		= g++
 
+ifdef _release
+
+CXXFLAGS =     -O2 -Dlinux -c \
+               -I/usr/include/SDL -I../ImageLib/src -I.
+
+LFLAGS   =      -Wl,--strip-all \
+		$(ADD_LIBS) \
+		-lSDL_mixer -lSDL -lasound \
+		-lGL -lGLU -lpthread -lm -ldl
+
+else
+
 CXXFLAGS =     -g -D_DEBUG -Dlinux -c \
-               -I$(SDL_ROOT)/include/SDL -I$(IMGLIB_ROOT) -I.
+               -I/usr/include/SDL -I../ImageLib/src -I.
 
-LIBS	 =     -L$(SDL_ROOT)/lib -L$(IMGLIB_ROOT)
+LFLAGS   =      -L $(SDL_LIBS) \
+		$(ADD_LIBS) \
+		-lSDL_mixer -lSDL -lasound \
+		-lGL -lGLU -lpthread -lm -ldl
 
-LFLAGS   =      $(LIBS) -limagelib -lGL -lGLU -lSDL_mixer -lSDL -lpthread -lm -ldl 
+endif
+
 
 #--------------------------------------------------------------------

## blockout2 2.5+dfsg1

=== ImageLib/src/Makefile ===
#---------------------------------------------------------------------
# Makefile for ImageLib
#
# Note: Sorry to not have libtoolized this project but i don't have
#       enough time to do that.

#
#---------------------------------------------------------------------
# All source files needed for the library
#

SRC = 	gif/gif.cpp CImage.cpp png/zlib/adler32.c png/zlib/compress.c \
	png/zlib/crc32.c png/zlib/deflate.c png/zlib/gzio.c png/zlib/infback.c \
	png/zlib/inffast.c png/zlib/inflate.c png/zlib/inftrees.c png/zlib/trees.c \
	png/zlib/uncompr.c png/zlib/zutil.c png/png/png.c png/png/pngerror.c \
	png/png/pnggccrd.c png/png/pngget.c png/png/pngmem.c png/png/pngpread.c \
	png/png/pngread.c png/png/pngrio.c png/png/pngrtran.c png/png/pngrutil.c \
	png/png/pngset.c png/png/pngtrans.c png/png/pngvcrd.c png/png/pngwio.c \
	png/png/pngwrite.c png/png/pngwtran.c png/png/pngwutil.c png/hpng.c \
	jpg/H2v2.cpp jpg/idct.cpp jpg/jpegdecoder.cpp jpg/jpegdecodermain.cpp


OBJ=    gif/gif.o CImage.o png/zlib/adler32.o png/zlib/compress.o \
	png/zlib/crc32.o png/zlib/deflate.o png/zlib/gzio.o png/zlib/infback.o \
	png/zlib/inffast.o png/zlib/inflate.o png/zlib/inftrees.o png/zlib/trees.o \
	png/zlib/uncompr.o png/zlib/zutil.o png/png/png.o png/png/pngerror.o \
	png/png/pnggccrd.o png/png/pngget.o png/png/pngmem.o png/png/pngpread.o \
	png/png/pngread.o png/png/pngrio.o png/png/pngrtran.o png/png/pngrutil.o \
	png/png/pngset.o png/png/pngtrans.o png/png/pngvcrd.o png/png/pngwio.o \
	png/png/pngwrite.o png/png/pngwtran.o png/png/pngwutil.o png/hpng.o \
	jpg/H2v2.o jpg/idct.o jpg/jpegdecoder.o jpg/jpegdecodermain.o

#---------------------------------------------------------------------

CXX	= g++
CC	= gcc

CXXFLAGS    = -O2 -Dlinux -c -I.
CFLAGS      = -O2 -Dlinux -c -I.


#--------------------------------------------------------------------

all: libimagelib.a

libimagelib.a: $(OBJ)
	@echo Making library...
	@rm -f libimagelib.a
	ar -rv libimagelib.a $(OBJ)

clean:
	@echo Cleaning...
	@rm -f *.o
	@rm -f gif/*.o
	@rm -f jpg/*.o
	@rm -f png/*.o
	@rm -f png/png/*.o
	@rm -f png/zlib/*.o

=== debian/changelog ===
blockout2 (2.5+dfsg1-2) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.7.2, no changes needed.
  * Fix field name cases in debian/control (VCS-Browser => Vcs-Browser,
    VCS-Git => Vcs-Git).

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 17:48:16 +0200

blockout2 (2.5+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh patches and drop obsolete one
    - adjust d/Makefile to new paths
  * Update Standards-Version to 4.4.0:
    - change priority from extra to optional
    - declare that d/rules does not require root
  * Honour CPPFLAGS and enable all hardening options.
  * Update debhelper compat level to 12.
  * Point Vcs-* fields to salsa.
  * Fix spelling errors found by lintian.
  * Document orig.tar.xz in README.source.
  * Convert d/copyright to copyright format 1.0.
  * Install README.txt.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Aug 2019 22:59:57 +0200

blockout2 (2.4+dfsg1-9) unstable; urgency=medium

  Apply 882536 patch, thanks to Helmut Grohne <helmut@subdivi.de>:
  * Fix FTCBFS: (Closes: #882536)
    + Let dh_auto_build pass cross compilers to make.
    + Fix build/host confusion in d/rules.
    + Make compilers in d/Makefile substitutable.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 29 Mar 2019 19:45:41 +0300

=== debian/control ===
Source: blockout2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry E. Oboukhov <unera@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://www.blockout.net/blockout2/
Vcs-Browser: https://salsa.debian.org/games-team/blockout2
Vcs-Git: https://salsa.debian.org/games-team/blockout2.git
X-Style: black

Package: blockout2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tetris like game (3D-tetris)
 BlockOut II is a free adaptation of the original BlockOut
 DOS game edited by California Dreams in 1989. BlockOut II
 has the same features than the original game with few graphic
 improvements. The score calculation is also nearly similar to
 the original game. BlockOut II has been designed by an addicted
 player for addicted players. BlockOut II is an open source
 project available for both Windows and Linux.

=== debian/rules ===
#!/usr/bin/make -f
# vim: noet sw=4 ts=4 ai

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

BUILD_FLAGS=
ifeq ($(DEB_HOST_ARCH),amd64)
BUILD_FLAGS = ADDCFLAGS=-DLOCALTIME64
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f debian/Makefile $(BUILD_FLAGS)

execute_after_dh_clean:
	find . -name "*.o" -delete
	find . -name "*.d" -delete
	$(RM) obj/blockout2 obj/obj-dir-stamp
